curl --request GET \
--url https://api.staging.payrails.io/payment/providers/{providerId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.staging.payrails.io/payment/providers/{providerId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.staging.payrails.io/payment/providers/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1f3cb3c4-3d8d-4f3c-94ad-30a0a17fde6d",
"name": "checkout",
"displayName": "Checkout.com",
"type": "Payment",
"status": "active",
"configSchema": "{\"required\":[\"accountDetails\",\"credentials\"],\"definitions\":{\"PspCheckoutAccountDetails\":{\"required\":[\"processingChannelId\"],\"properties\":{\"processingChannelId\":{\"title\":\"Processing channel ID\",\"minLength\":1,\"pattern\":\"^pc_.+$\",\"type\":\"string\"}},\"type\":\"object\"},\"PspCheckoutCredentials\":{\"required\":[\"clientId\",\"clientSecret\"],\"properties\":{\"clientId\":{\"title\":\"Client ID\",\"description\":\"Client ID used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\"},\"clientSecret\":{\"title\":\"Client Secret\",\"description\":\"Client Secret used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\",\"format\":\"secret\"},\"hmacKeys\":{\"title\":\"HMAC keys\",\"description\":\"HMAC keys used to authenticate notifications from the Checkout API\",\"pattern\":\"^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$\",\"items\":{\"type\":\"string\"},\"type\":\"array\",\"format\":\"secret\"}},\"type\":\"object\"}},\"properties\":{\"accountDetails\":{\"$ref\":\"#/definitions/PspCheckoutAccountDetails\",\"title\":\"Account details\"},\"credentials\":{\"$ref\":\"#/definitions/PspCheckoutCredentials\",\"title\":\"Checkout credentials\"}},\"type\":\"object\"}",
"notificationURLTemplate": "https://yourenv-api-pub.staging.payrails.io/public/notification/bec28206-4019-4a73-bb2c-a75ff7752c8d/provider/checkout/providerConfigId/{id}",
"createdAt": "2021-01-05T10:20:00.000Z",
"updatedAt": "2022-06-14T11:50:00.000Z"
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Get provider by ID
Retrieve the provider by provider ID.
Authorizations
You can use your secret API key in the x-api-key header of your API requests for supported endpoints: x-api-key: <YOUR_API_KEY_HERE>.
API keys are environment specific and should be securely guarded.
You don't have your API key yet? Contact your Payrails account manager.
Path Parameters
Identifier of the resource in Payrails.
Response
Created.
Unique identifier of the provider.
Name of the provider.
Display name of the provider.
Provider type.
Fraud, Payment, Payout, Vault, NetworkOffers, ThreeDS, NetworkGateway, NetworkToken, Bin, Data, Dispute, DisputeAlert, Tax, Billing JSON schema of the provider configuration.
Date of creation of the provider.
Status of the provider.
active, inactive Template of the notification URL for provider configs of that provider.
The template contains variables between curly braces that can be mapped to the fields of the provider configs (e.g. {id}, {accountName})
and substituted to generate the notification URL of that provider config.
Last update of the provider.